Index: tmp/org.txm.statsengine.r.core/.classpath
===================================================================
--- tmp/org.txm.statsengine.r.core/.classpath	(revision 276)
+++ tmp/org.txm.statsengine.r.core/.classpath	(revision 277)
@@ -3,8 +3,5 @@
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
 	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
 	<classpathentry kind="src" path="src"/>
-	<classpathentry exported="true" kind="lib" path="lib/colt-1.2.0.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/REngine.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/RserveEngine.jar"/>
 	<classpathentry kind="output" path="bin"/>
 </classpath>
Index: tmp/org.txm.statsengine.r.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.statsengine.r.core/META-INF/MANIFEST.MF	(revision 276)
+++ tmp/org.txm.statsengine.r.core/META-INF/MANIFEST.MF	(revision 277)
@@ -3,47 +3,17 @@
 Bundle-Name: R Statistics Engine Core
 Bundle-SymbolicName: org.txm.statsengine.r.core;singleton:=true
 Bundle-Version: 1.0.0.qualifier
-Require-Bundle: org.txm.core;bundle-version="0.7.0",
- org.eclipse.core.runtime,
- org.txm.utils;bundle-version="1.0.0"
+Require-Bundle: org.txm.libs.colt;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.libs.rserve;bundle-version="0.0.0";visibility:=reexport,
+ org.txm.statsengine.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.core;bundle-version="0.7.0",
+ org.eclipse.core.runtime
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Bundle-ActivationPolicy: lazy
-Export-Package: cern.clhep,
- cern.colt,
- cern.colt.bitvector,
- cern.colt.buffer,
- cern.colt.function,
- cern.colt.list,
- cern.colt.list.adapter,
- cern.colt.map,
- cern.colt.matrix,
- cern.colt.matrix.bench,
- cern.colt.matrix.doublealgo,
- cern.colt.matrix.impl,
- cern.colt.matrix.linalg,
- cern.colt.matrix.objectalgo,
- cern.jet.math,
- cern.jet.random,
- cern.jet.random.engine,
- cern.jet.random.sampling,
- cern.jet.stat,
- cern.jet.stat.quantile,
- corejava,
- hep.aida,
- hep.aida.bin,
- hep.aida.ref,
- org.rosuda.REngine,
- org.rosuda.REngine.Rserve,
- org.rosuda.REngine.Rserve.protocol,
- org.txm.statsengine.core,
- org.txm.statsengine.core.data,
- org.txm.statsengine.core.utils,
- org.txm.statsengine.r.core,
+Export-Package: org.txm.statsengine.r.core,
  org.txm.statsengine.r.core.data,
+ org.txm.statsengine.r.core.exceptions,
  org.txm.statsengine.r.core.messages,
  org.txm.statsengine.r.core.preferences,
  org.txm.statsengine.r.core.rcolt
-Bundle-ClassPath: REngine.jar,
- RserveEngine.jar,
- .,
- colt-1.2.0.jar
+Bundle-Vendor: Textometrie.org
Index: tmp/org.txm.statsengine.r.core/Rserve_1.8-5.tar.gz
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.statsengine.r.core/Rserve_1.8-5.tar.gz
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.statsengine.r.core/lib/colt-1.2.0.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RWorkspaceException.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RWorkspaceException.java	(revision 276)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RWorkspaceException.java	(revision 277)
@@ -1,82 +0,0 @@
-// Copyright © 2010-2013 ENS de Lyon.
-// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
-// Lyon 2, University of Franche-Comté, University of Nice
-// Sophia Antipolis, University of Paris 3.
-// 
-// The TXM platform is free software: you can redistribute it
-// and/or modify it under the terms of the GNU General Public
-// License as published by the Free Software Foundation,
-// either version 2 of the License, or (at your option) any
-// later version.
-// 
-// The TXM platform is distributed in the hope that it will be
-// useful, but WITHOUT ANY WARRANTY; without even the implied
-// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
-// PURPOSE. See the GNU General Public License for more
-// details.
-// 
-// You should have received a copy of the GNU General
-// Public License along with the TXM platform. If not, see
-// http://www.gnu.org/licenses.
-// 
-// 
-// 
-// $LastChangedDate: 2013-05-06 17:38:43 +0200 (Mon, 06 May 2013) $
-// $LastChangedRevision: 2386 $
-// $LastChangedBy: mdecorde $ 
-//
-package org.txm.statsengine.r.core;
-
-import org.txm.statsengine.core.StatException;
-
-// TODO: Auto-generated Javadoc
-/**
- * Super-class of all exception related to the R engine.
- * 
- * @author sloiseau
- */
-public class RWorkspaceException extends StatException {
-
-	/** The Constant serialVersionUID. */
-	private static final long serialVersionUID = 1630828823146927953L;
-
-	/**
-	 * Instantiates a new r workspace exception.
-	 */
-	public RWorkspaceException() {
-		super();
-		// TODO Auto-generated constructor stub
-	}
-
-	/**
-	 * Instantiates a new r workspace exception.
-	 *
-	 * @param arg0 the arg0
-	 * @param arg1 the arg1
-	 */
-	public RWorkspaceException(String arg0, Throwable arg1) {
-		super(arg0, arg1);
-		// TODO Auto-generated constructor stub
-	}
-
-	/**
-	 * Instantiates a new r workspace exception.
-	 *
-	 * @param arg0 the arg0
-	 */
-	public RWorkspaceException(String arg0) {
-		super(arg0);
-		// TODO Auto-generated constructor stub
-	}
-
-	/**
-	 * Instantiates a new r workspace exception.
-	 *
-	 * @param arg0 the arg0
-	 */
-	public RWorkspaceException(Throwable arg0) {
-		super(arg0);
-		// TODO Auto-generated constructor stub
-	}
-
-}
Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RException.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RException.java	(revision 276)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RException.java	(revision 277)
@@ -1,89 +0,0 @@
-// Copyright © 2010-2013 ENS de Lyon.
-// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
-// Lyon 2, University of Franche-Comté, University of Nice
-// Sophia Antipolis, University of Paris 3.
-// 
-// The TXM platform is free software: you can redistribute it
-// and/or modify it under the terms of the GNU General Public
-// License as published by the Free Software Foundation,
-// either version 2 of the License, or (at your option) any
-// later version.
-// 
-// The TXM platform is distributed in the hope that it will be
-// useful, but WITHOUT ANY WARRANTY; without even the implied
-// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
-// PURPOSE. See the GNU General Public License for more
-// details.
-// 
-// You should have received a copy of the GNU General
-// Public License along with the TXM platform. If not, see
-// http://www.gnu.org/licenses.
-// 
-// 
-// 
-// $LastChangedDate: 2013-05-06 17:38:43 +0200 (Mon, 06 May 2013) $
-// $LastChangedRevision: 2386 $
-// $LastChangedBy: mdecorde $ 
-//
-package org.txm.statsengine.r.core;
-
-import org.txm.statsengine.r.core.messages.RCoreMessages;
-
-// TODO: Auto-generated Javadoc
-/**
- * An exception indicating an error during the evaluation of an expression by
- * the R engine.
- * 
- * @author sloiseau
- */
-public class RException extends RWorkspaceException {
-
-	/** The Constant serialVersionUID. */
-	private static final long serialVersionUID = -3459835604570896478L;
-
-	/**
-	 * Instantiates a new r exception.
-	 */
-	public RException() {
-		super();
-	}
-
-	/**
-	 * Instantiates a new r exception.
-	 *
-	 * @param msg the msg
-	 */
-	public RException(String msg) {
-		super(msg);
-	}
-
-	/**
-	 * Instantiates a new r exception.
-	 *
-	 * @param expr the expr
-	 * @param msg the msg
-	 */
-	public RException(String expr, String msg) {
-		super(RCoreMessages.RException_0 + msg + RCoreMessages.RException_1 + RCoreMessages.RException_2 + expr); 
-	}
-
-	/**
-	 * Instantiates a new r exception.
-	 *
-	 * @param arg0 the arg0
-	 * @param arg1 the arg1
-	 */
-	public RException(String arg0, Throwable arg1) {
-		super(arg0, arg1);
-	}
-
-	/**
-	 * Instantiates a new r exception.
-	 *
-	 * @param arg0 the arg0
-	 */
-	public RException(Throwable arg0) {
-		super(arg0);
-	}
-
-}
Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RServeException.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RServeException.java	(revision 276)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RServeException.java	(revision 277)
@@ -1,78 +0,0 @@
-// Copyright © 2010-2013 ENS de Lyon.
-// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
-// Lyon 2, University of Franche-Comté, University of Nice
-// Sophia Antipolis, University of Paris 3.
-// 
-// The TXM platform is free software: you can redistribute it
-// and/or modify it under the terms of the GNU General Public
-// License as published by the Free Software Foundation,
-// either version 2 of the License, or (at your option) any
-// later version.
-// 
-// The TXM platform is distributed in the hope that it will be
-// useful, but WITHOUT ANY WARRANTY; without even the implied
-// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
-// PURPOSE. See the GNU General Public License for more
-// details.
-// 
-// You should have received a copy of the GNU General
-// Public License along with the TXM platform. If not, see
-// http://www.gnu.org/licenses.
-// 
-// 
-// 
-// $LastChangedDate: 2013-05-06 17:38:43 +0200 (Mon, 06 May 2013) $
-// $LastChangedRevision: 2386 $
-// $LastChangedBy: mdecorde $ 
-//
-package org.txm.statsengine.r.core;
-
-// TODO: Auto-generated Javadoc
-/**
- * The Class RServeException.
- */
-public class RServeException extends RException {
-
-	/** The Constant serialVersionUID. */
-	private static final long serialVersionUID = 1L;
-
-	/**
-	 * Instantiates a new r serve exception.
-	 */
-	public RServeException() {
-		super();
-		// TODO Auto-generated constructor stub
-	}
-
-	/**
-	 * Instantiates a new r serve exception.
-	 *
-	 * @param arg0 the arg0
-	 * @param arg1 the arg1
-	 */
-	public RServeException(String arg0, Throwable arg1) {
-		super(arg0, arg1);
-		// TODO Auto-generated constructor stub
-	}
-
-	/**
-	 * Instantiates a new r serve exception.
-	 *
-	 * @param arg0 the arg0
-	 */
-	public RServeException(String arg0) {
-		super(arg0);
-		// TODO Auto-generated constructor stub
-	}
-
-	/**
-	 * Instantiates a new r serve exception.
-	 *
-	 * @param arg0 the arg0
-	 */
-	public RServeException(Throwable arg0) {
-		super(arg0);
-		// TODO Auto-generated constructor stub
-	}
-
-}
Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RserveWatcher.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RserveWatcher.java	(revision 276)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RserveWatcher.java	(revision 277)
@@ -27,8 +27,8 @@
 //
 package org.txm.statsengine.r.core;
 
-import org.txm.Toolbox;
-import org.txm.Watcher;
+import org.txm.statsengine.r.core.exceptions.RWorkspaceException;
+import org.txm.utils.Watcher;
 
 // TODO: Auto-generated Javadoc
 /**
Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RStatsEngine.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RStatsEngine.java	(revision 276)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RStatsEngine.java	(revision 277)
@@ -2,11 +2,12 @@
 
 import java.io.IOException;
 
+import org.txm.core.preferences.TXMPreferences;
+import org.txm.statsengine.r.core.exceptions.RWorkspaceException;
 import org.txm.statsengine.r.core.messages.RCoreMessages;
 import org.txm.statsengine.r.core.preferences.RPreferences;
 import org.txm.utils.OSDetector;
 import org.txm.utils.logger.Log;
-import org.txm.utils.preferences.TXMPreferences;
 
 /**
  * R statistics engine. Contains methods to start, stop, kill, etc. the R and RServe process.
Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RFileCommunication.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RFileCommunication.java	(revision 276)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RFileCommunication.java	(revision 277)
@@ -32,7 +32,7 @@
 import java.io.FileWriter;
 import java.io.IOException;
 
-import org.eclipse.core.runtime.Platform;
+import org.txm.statsengine.r.core.exceptions.RWorkspaceException;
 import org.txm.utils.OSDetector;
 
 
Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/messages/messages_fr.properties	(revision 276)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/messages/messages_fr.properties	(revision 277)
@@ -46,3 +46,13 @@
 StartRserve_3  = Rserve déja démarré sur le port 
 StartRserve_4  = Essai du chemin de R : 'R'
 StartRserve_6  = Essai du chemin de R : 
+
+
+CHAR_VECTOR_ADDED_TO_WORKSPACE = Le vecteur "{1}" ({0,number,integer} valeurs "character") a été transmis au Moteur Statistique.
+CONNECTED_TO_STATS_MODULE = connecté.
+CONNECTION_OK = Connexion au Moteur Statistique établie.
+ERROR_EXTRACT_ITEM = ** Erreur lors de l'extraction de la liste d'items : \	
+REQUESTED_OBJECT_NOT_FOUND_IN_R = L'objet demandé ({0}) n'a pas été trouvé dans l'espace de travail R.
+
+
+
Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/messages/RCoreMessages.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/messages/RCoreMessages.java	(revision 276)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/messages/RCoreMessages.java	(revision 277)
@@ -1,7 +1,7 @@
 package org.txm.statsengine.r.core.messages;
 
 import org.eclipse.osgi.util.NLS;
-import org.txm.core.messages.TXMCoreMessages;
+import org.txm.utils.messages.Utf8NLS;
 
 public class RCoreMessages extends NLS {
 
@@ -47,6 +47,11 @@
 
 	public static String RSERVE_PATH_NOT_SET_ERROR;
 	public static String RSERVE_PATH_SET_ERROR;
+	public static String CONNECTED_TO_STATS_MODULE;
+	public static String CHAR_VECTOR_ADDED_TO_WORKSPACE;
+	public static String CONNECTION_OK;
+	public static String ERROR_EXTRACT_ITEM;
+	public static String REQUESTED_OBJECT_NOT_FOUND_IN_R;
 
 
 	// FIXME: unused keys
@@ -62,7 +67,7 @@
 	
 	static {
 		// initialize resource bundle
-		TXMCoreMessages.initializeMessages(BUNDLE_NAME, RCoreMessages.class);
+		Utf8NLS.initializeMessages(BUNDLE_NAME, RCoreMessages.class);
 	}
 
 	private RCoreMessages() {
Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/messages/messages.properties
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/messages/messages.properties	(revision 276)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/messages/messages.properties	(revision 277)
@@ -46,3 +46,12 @@
 StartRserve_3  = Rserve already running on port 
 StartRserve_4  = try R path : 'R'
 StartRserve_6  = try R path : 
+
+
+CHAR_VECTOR_ADDED_TO_WORKSPACE = Vector "{1}" ({0,number,integer} "character") has been transmited to the Statistics Engine.
+CONNECTED_TO_STATS_MODULE = connected.
+CONNECTION_OK = Connected to the Statistics Engine.
+
+ERROR_EXTRACT_ITEM = ** Error extracting list item: 
+
+REQUESTED_OBJECT_NOT_FOUND_IN_R = The requested object ({0}) was not found in the R workspace.
Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/RObjectAlreadyExist.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/RObjectAlreadyExist.java	(revision 276)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/RObjectAlreadyExist.java	(revision 277)
@@ -1,79 +0,0 @@
-// Copyright © 2010-2013 ENS de Lyon.
-// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
-// Lyon 2, University of Franche-Comté, University of Nice
-// Sophia Antipolis, University of Paris 3.
-// 
-// The TXM platform is free software: you can redistribute it
-// and/or modify it under the terms of the GNU General Public
-// License as published by the Free Software Foundation,
-// either version 2 of the License, or (at your option) any
-// later version.
-// 
-// The TXM platform is distributed in the hope that it will be
-// useful, but WITHOUT ANY WARRANTY; without even the implied
-// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
-// PURPOSE. See the GNU General Public License for more
-// details.
-// 
-// You should have received a copy of the GNU General
-// Public License along with the TXM platform. If not, see
-// http://www.gnu.org/licenses.
-// 
-// 
-// 
-// $LastChangedDate: 2013-05-06 17:38:43 +0200 (Mon, 06 May 2013) $
-// $LastChangedRevision: 2386 $
-// $LastChangedBy: mdecorde $ 
-//
-package org.txm.statsengine.r.core.data;
-
-import org.txm.statsengine.r.core.RWorkspaceException;
-
-// TODO: Auto-generated Javadoc
-/**
- * When one try to create an object with a symbol already existing in the
- * workspace.
- * 
- * @author sloiseau
- */
-public class RObjectAlreadyExist extends RWorkspaceException {
-
-	/** The Constant serialVersionUID. */
-	private static final long serialVersionUID = 3386015668080138287L;
-
-	/**
-	 * Instantiates a new r object already exist.
-	 */
-	public RObjectAlreadyExist() {
-		super();
-	}
-
-	/**
-	 * Instantiates a new r object already exist.
-	 *
-	 * @param arg0 the arg0
-	 * @param arg1 the arg1
-	 */
-	public RObjectAlreadyExist(String arg0, Throwable arg1) {
-		super(arg0, arg1);
-	}
-
-	/**
-	 * Instantiates a new r object already exist.
-	 *
-	 * @param arg0 the arg0
-	 */
-	public RObjectAlreadyExist(String arg0) {
-		super(arg0);
-	}
-
-	/**
-	 * Instantiates a new r object already exist.
-	 *
-	 * @param arg0 the arg0
-	 */
-	public RObjectAlreadyExist(Throwable arg0) {
-		super(arg0);
-	}
-
-}
Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/RObjectDoesNotExist.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/RObjectDoesNotExist.java	(revision 276)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/RObjectDoesNotExist.java	(revision 277)
@@ -1,79 +0,0 @@
-// Copyright © 2010-2013 ENS de Lyon.
-// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
-// Lyon 2, University of Franche-Comté, University of Nice
-// Sophia Antipolis, University of Paris 3.
-// 
-// The TXM platform is free software: you can redistribute it
-// and/or modify it under the terms of the GNU General Public
-// License as published by the Free Software Foundation,
-// either version 2 of the License, or (at your option) any
-// later version.
-// 
-// The TXM platform is distributed in the hope that it will be
-// useful, but WITHOUT ANY WARRANTY; without even the implied
-// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
-// PURPOSE. See the GNU General Public License for more
-// details.
-// 
-// You should have received a copy of the GNU General
-// Public License along with the TXM platform. If not, see
-// http://www.gnu.org/licenses.
-// 
-// 
-// 
-// $LastChangedDate: 2013-05-06 17:38:43 +0200 (Mon, 06 May 2013) $
-// $LastChangedRevision: 2386 $
-// $LastChangedBy: mdecorde $ 
-//
-package org.txm.statsengine.r.core.data;
-
-import org.txm.statsengine.r.core.RWorkspaceException;
-
-// TODO: Auto-generated Javadoc
-/**
- * Exception thrown if a symbol without corresponding object in the R workspace
- * is used.
- * 
- * @author sloiseau
- */
-public class RObjectDoesNotExist extends RWorkspaceException {
-
-	/** The Constant serialVersionUID. */
-	private static final long serialVersionUID = -1344530765750521820L;
-
-	/**
-	 * Instantiates a new r object does not exist.
-	 */
-	public RObjectDoesNotExist() {
-		super();
-	}
-
-	/**
-	 * Instantiates a new r object does not exist.
-	 *
-	 * @param arg0 the arg0
-	 * @param arg1 the arg1
-	 */
-	public RObjectDoesNotExist(String arg0, Throwable arg1) {
-		super(arg0, arg1);
-	}
-
-	/**
-	 * Instantiates a new r object does not exist.
-	 *
-	 * @param arg0 the arg0
-	 */
-	public RObjectDoesNotExist(String arg0) {
-		super(arg0);
-	}
-
-	/**
-	 * Instantiates a new r object does not exist.
-	 *
-	 * @param arg0 the arg0
-	 */
-	public RObjectDoesNotExist(Throwable arg0) {
-		super(arg0);
-	}
-
-}
Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/ContingencyTableImpl.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/ContingencyTableImpl.java	(revision 276)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/ContingencyTableImpl.java	(revision 277)
@@ -31,7 +31,7 @@
 import org.txm.statsengine.core.StatException;
 import org.txm.statsengine.core.data.ContingencyTable;
 import org.txm.statsengine.core.data.Vector;
-import org.txm.statsengine.r.core.RWorkspaceException;
+import org.txm.statsengine.r.core.exceptions.RWorkspaceException;
 
 import cern.colt.matrix.DoubleMatrix2D;
 
Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/QuantitativeDataStructureImpl.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/QuantitativeDataStructureImpl.java	(revision 276)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/QuantitativeDataStructureImpl.java	(revision 277)
@@ -28,12 +28,13 @@
 package org.txm.statsengine.r.core.data;
 
 import org.rosuda.REngine.REXP;
-import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.results.TXMResult;
 import org.txm.statsengine.core.data.QuantitativeDataStructure;
 import org.txm.statsengine.core.data.Vector;
+import org.txm.statsengine.core.messages.StatsEngineCoreMessages;
 import org.txm.statsengine.r.core.RWorkspace;
-import org.txm.statsengine.r.core.RWorkspaceException;
+import org.txm.statsengine.r.core.exceptions.RObjectDoesNotExist;
+import org.txm.statsengine.r.core.exceptions.RWorkspaceException;
 
 // TODO: Auto-generated Javadoc
 /**
@@ -122,7 +123,7 @@
 	protected void removeFromRWorkspace() throws RWorkspaceException {
 		if (!rw.containsVariable(symbol)) {
 			throw new RObjectDoesNotExist(
-					TXMCoreMessages.QuantitativeDataStructureImpl_2);
+					StatsEngineCoreMessages.QuantitativeDataStructureImpl_2);
 		}
 		rw.voidEval("rm(" + symbol + ")"); //$NON-NLS-1$ //$NON-NLS-2$
 	}
Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/Factor.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/Factor.java	(revision 276)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/Factor.java	(revision 277)
@@ -27,8 +27,8 @@
 //
 package org.txm.statsengine.r.core.data;
 
-import org.txm.core.messages.TXMCoreMessages;
-import org.txm.statsengine.r.core.RWorkspaceException;
+import org.txm.statsengine.core.messages.StatsEngineCoreMessages;
+import org.txm.statsengine.r.core.exceptions.RWorkspaceException;
 
 // TODO: Auto-generated Javadoc
 /**
@@ -46,7 +46,7 @@
 	 * @throws RWorkspaceException the r workspace exception
 	 */
 	public Factor(String values) throws RWorkspaceException {
-		throw new UnsupportedOperationException(TXMCoreMessages.Factor_0);
+		throw new UnsupportedOperationException(StatsEngineCoreMessages.Factor_0);
 	}
 
 	/**
@@ -56,7 +56,7 @@
 	 * @return the levels
 	 */
 	public String[] getLevels() {
-		throw new UnsupportedOperationException(TXMCoreMessages.Factor_0);
+		throw new UnsupportedOperationException(StatsEngineCoreMessages.Factor_0);
 	}
 
 	@Override
Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/DoubleMatrix.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/DoubleMatrix.java	(revision 276)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/DoubleMatrix.java	(revision 277)
@@ -27,7 +27,7 @@
 //
 package org.txm.statsengine.r.core.data;
 
-import org.txm.statsengine.r.core.RWorkspaceException;
+import org.txm.statsengine.r.core.exceptions.RWorkspaceException;
 
 import cern.colt.matrix.DoubleMatrix2D;
 
Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/VectorImpl.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/VectorImpl.java	(revision 276)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/VectorImpl.java	(revision 277)
@@ -34,7 +34,7 @@
 import org.txm.statsengine.core.StatException;
 import org.txm.statsengine.core.data.Vector;
 import org.txm.statsengine.core.utils.ArrayIndex;
-import org.txm.statsengine.r.core.RWorkspaceException;
+import org.txm.statsengine.r.core.exceptions.RWorkspaceException;
 
 // TODO: Auto-generated Javadoc
 /**
Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/MatrixImpl.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/MatrixImpl.java	(revision 276)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/MatrixImpl.java	(revision 277)
@@ -38,14 +38,16 @@
 
 import org.rosuda.REngine.REXP;
 import org.rosuda.REngine.REXPMismatchException;
-import org.txm.core.messages.TXMCoreMessages;
 import org.txm.statsengine.core.StatException;
 import org.txm.statsengine.core.data.Matrix;
 import org.txm.statsengine.core.data.Vector;
+import org.txm.statsengine.core.messages.StatsEngineCoreMessages;
 import org.txm.statsengine.core.utils.ArrayIndex;
-import org.txm.statsengine.r.core.RException;
 import org.txm.statsengine.r.core.RWorkspace;
-import org.txm.statsengine.r.core.RWorkspaceException;
+import org.txm.statsengine.r.core.exceptions.RException;
+import org.txm.statsengine.r.core.exceptions.RObjectDoesNotExist;
+import org.txm.statsengine.r.core.exceptions.RWorkspaceException;
+import org.txm.statsengine.r.core.messages.RCoreMessages;
 import org.txm.utils.CharsetDetector;
 import org.txm.utils.OSDetector;
 
@@ -138,7 +140,7 @@
 		this(matrix);
 
 		if (rowNames == null) {
-			throw new IllegalArgumentException(TXMCoreMessages.MatrixImpl_4);
+			throw new IllegalArgumentException(StatsEngineCoreMessages.MatrixImpl_4);
 		}
 		//		if (rowNames.length != nrow) {
 		//			throw new IllegalArgumentException(Messages.MatrixImpl_5);
@@ -147,7 +149,7 @@
 		rw.assignRowNamesToMatrix(symbol, new VectorImpl(rowNames).getSymbol());
 
 		if (columnNames == null) {
-			throw new IllegalArgumentException(TXMCoreMessages.MatrixImpl_6);
+			throw new IllegalArgumentException(StatsEngineCoreMessages.MatrixImpl_6);
 		}
 		//		if (columnNames.length != ncol) {
 		//			throw new IllegalArgumentException(Messages.MatrixImpl_7
@@ -203,7 +205,7 @@
 		this(matrix);
 
 		if (lineNames == null) {
-			throw new IllegalArgumentException(TXMCoreMessages.MatrixImpl_4);
+			throw new IllegalArgumentException(StatsEngineCoreMessages.MatrixImpl_4);
 		}
 		//		if (lineNames.length != nrow) {
 		//			throw new IllegalArgumentException(Messages.MatrixImpl_5);
@@ -212,7 +214,7 @@
 		rw.assignRowNamesToMatrix(symbol, new VectorImpl(lineNames).getSymbol());
 
 		if (partNames == null) {
-			throw new IllegalArgumentException(TXMCoreMessages.MatrixImpl_6);
+			throw new IllegalArgumentException(StatsEngineCoreMessages.MatrixImpl_6);
 		}
 		//		if (partNames.length != ncol) {
 		//			throw new IllegalArgumentException(Messages.MatrixImpl_7
@@ -236,8 +238,8 @@
 	protected MatrixImpl(String symbol) throws RWorkspaceException {
 		super(symbol);
 		if (!rw.containsVariable(symbol)) {
-			throw new RObjectDoesNotExist(TXMCoreMessages.MatrixImpl_0 + symbol
-					+ TXMCoreMessages.MatrixImpl_1);
+			throw new RObjectDoesNotExist(StatsEngineCoreMessages.MatrixImpl_0 + symbol
+					+ StatsEngineCoreMessages.MatrixImpl_1);
 		}
 		REXP res = rw.eval("dim(" + symbol + ")"); //$NON-NLS-2$ //$NON-NLS-1$
 		int[] dim = null;
@@ -432,15 +434,15 @@
 				throw new RWorkspaceException(e);
 			}
 		} else if (r.isNull()) {
-			throw new IllegalArgumentException(TXMCoreMessages.MatrixImpl_19);
+			throw new IllegalArgumentException(StatsEngineCoreMessages.MatrixImpl_19);
 		} else {
 			// System.out.println("row: " + row);
 			// System.out.println("col: " + col);
 			// System.out.println("nrow: " + nrow);
 			// System.out.println("ncol: " + ncol);
 			// System.out.println(rw.eval("print(" + getSymbol() + ");"));
-			throw new IllegalArgumentException(TXMCoreMessages.MatrixImpl_20
-					+ r.getAttribute(TXMCoreMessages.MatrixImpl_21));
+			throw new IllegalArgumentException(StatsEngineCoreMessages.MatrixImpl_20
+					+ r.getAttribute(StatsEngineCoreMessages.MatrixImpl_21));
 		}
 	}
 
@@ -452,8 +454,8 @@
 		int ncol = this.getNColumns();
 
 		if (index < 0 || index >= ncol) {
-			throw new IllegalArgumentException(TXMCoreMessages.MatrixImpl_28 + index
-					+ TXMCoreMessages.MatrixImpl_29 + ncol + ")"); //$NON-NLS-1$ 
+			throw new IllegalArgumentException(StatsEngineCoreMessages.MatrixImpl_28 + index
+					+ StatsEngineCoreMessages.MatrixImpl_29 + ncol + ")"); //$NON-NLS-1$ 
 		}
 		String colName = createSymbole(Vector.class);
 		rw.voidEval(colName + "<- " + symbol + "[ ," + (index + 1) + "];"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
@@ -504,7 +506,7 @@
 	@Override
 	public int getNColumns() {
 		try {
-			return RWorkspace.getRWorkspaceInstance().eval(TXMCoreMessages.MatrixImpl_2+symbol+")[2]").asInteger(); //$NON-NLS-2$
+			return RWorkspace.getRWorkspaceInstance().eval(StatsEngineCoreMessages.MatrixImpl_2+symbol+")[2]").asInteger(); //$NON-NLS-2$
 		} catch (Exception e) {
 			System.out.println("Matrix: failed to get nrow: "+e); //$NON-NLS-1$
 		}
@@ -517,9 +519,9 @@
 	@Override
 	public int getNRows() {
 		try {
-			return RWorkspace.getRWorkspaceInstance().eval(TXMCoreMessages.MatrixImpl_2+symbol+")[1]").asInteger(); //$NON-NLS-2$
+			return RWorkspace.getRWorkspaceInstance().eval(StatsEngineCoreMessages.MatrixImpl_2+symbol+")[1]").asInteger(); //$NON-NLS-2$
 		} catch (Exception e) {
-			System.out.println(TXMCoreMessages.MatrixImpl_67+e);
+			System.out.println(StatsEngineCoreMessages.MatrixImpl_67+e);
 		}
 		return 0;
 	}
@@ -531,8 +533,8 @@
 	public Vector getRow(int index) throws RException, RWorkspaceException {
 		int nrow = getNRows();
 		if (index < 0 || index >= nrow) {
-			throw new IllegalArgumentException(TXMCoreMessages.MatrixImpl_22 + index
-					+ TXMCoreMessages.MatrixImpl_23 + nrow + ")"); //$NON-NLS-1$ 
+			throw new IllegalArgumentException(StatsEngineCoreMessages.MatrixImpl_22 + index
+					+ StatsEngineCoreMessages.MatrixImpl_23 + nrow + ")"); //$NON-NLS-1$ 
 		}
 		String rowName = createSymbole(Vector.class);
 		rw.voidEval(rowName + "<- " + symbol + "[" + (index + 1) + ", ];"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
@@ -629,7 +631,7 @@
 		int linesize = rw.eval("dim(tmpmat)[1]").asInteger(); //$NON-NLS-1$
 		int ncol = this.getNColumns();
 		if (colsize != ncol) {
-			System.out.println(TXMCoreMessages.MatrixImpl_73+ncol+" imported="+colsize); //$NON-NLS-2$
+			System.out.println(StatsEngineCoreMessages.MatrixImpl_73+ncol+" imported="+colsize); //$NON-NLS-2$
 			return false;
 		}
 		
@@ -853,7 +855,7 @@
 				try {
 					rowNames = getRowNames().asStringsArray();
 				} catch (StatException e) {
-					System.out.println(TXMCoreMessages.MatrixImpl_79);
+					System.out.println(StatsEngineCoreMessages.MatrixImpl_79);
 					org.txm.utils.logger.Log.printStackTrace(e);
 					return;
 				}
@@ -907,14 +909,14 @@
 			try {
 				rowNames = getRowNames().asStringsArray();
 			} catch (StatException e) {
-				System.out.println(TXMCoreMessages.MatrixImpl_79);
+				System.out.println(StatsEngineCoreMessages.MatrixImpl_79);
 				org.txm.utils.logger.Log.printStackTrace(e);
 				return;
 			}
 			String lastRowName = rowNames[last];
 			System.out.println("table<-matrix(table[c(-"+idx+"),],nrow=1,dimnames = list(rownames="+lastRowName+",colnames(table)))"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		} else {
-			System.out.println(TXMCoreMessages.MatrixImpl_88);
+			System.out.println(StatsEngineCoreMessages.MatrixImpl_88);
 		}
 	}
 
@@ -936,12 +938,12 @@
 		int nrow = this.getNRows();
 		int ncol = this.getNColumns();
 		if (row < 0 || row >= nrow) {
-			throw new IllegalArgumentException(TXMCoreMessages.MatrixImpl_10 + row
-					+ TXMCoreMessages.MatrixImpl_11 + nrow + ")"); //$NON-NLS-1$ 
+			throw new IllegalArgumentException(StatsEngineCoreMessages.MatrixImpl_10 + row
+					+ StatsEngineCoreMessages.MatrixImpl_11 + nrow + ")"); //$NON-NLS-1$ 
 		}
 		if (col < 0 || col >= ncol) {
-			throw new IllegalArgumentException(TXMCoreMessages.MatrixImpl_13 + col
-					+ TXMCoreMessages.MatrixImpl_14 + ncol + ")"); //$NON-NLS-1$ 
+			throw new IllegalArgumentException(StatsEngineCoreMessages.MatrixImpl_13 + col
+					+ StatsEngineCoreMessages.MatrixImpl_14 + ncol + ")"); //$NON-NLS-1$ 
 		}
 		// appel à R
 		try {
Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RWorkspace.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RWorkspace.java	(revision 276)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RWorkspace.java	(revision 277)
@@ -47,17 +47,19 @@
 import org.rosuda.REngine.REngineException;
 import org.rosuda.REngine.Rserve.RConnection;
 import org.rosuda.REngine.Rserve.RserveException;
-import org.txm.core.messages.TXMCoreMessages;
 import org.txm.statsengine.core.StatException;
 import org.txm.statsengine.core.data.QuantitativeDataStructure;
+import org.txm.statsengine.core.messages.StatsEngineCoreMessages;
 import org.txm.statsengine.core.utils.VectorizeArray;
-import org.txm.statsengine.r.core.data.RObjectAlreadyExist;
+import org.txm.statsengine.r.core.exceptions.RException;
+import org.txm.statsengine.r.core.exceptions.RObjectAlreadyExist;
+import org.txm.statsengine.r.core.exceptions.RWorkspaceException;
 import org.txm.statsengine.r.core.messages.RCoreMessages;
 import org.txm.statsengine.r.core.rcolt.RColt;
 import org.txm.utils.OSDetector;
 import org.txm.utils.StreamHog;
-import org.txm.utils.SystemProxyDetector;
 import org.txm.utils.logger.Log;
+import org.txm.utils.network.SystemProxyDetector;
 
 import cern.colt.list.DoubleArrayList;
 import cern.colt.list.IntArrayList;
@@ -342,7 +344,7 @@
 
 		if (isRServerOk) {
 			Log.finest("RSERVE_ACTIVATED"); //$NON-NLS-1$
-			System.out.println(TXMCoreMessages.CONNECTED_TO_STATS_MODULE); 
+			System.out.println(RCoreMessages.CONNECTED_TO_STATS_MODULE); 
 			RserveProcess = StartRserve.Rserveprocess;
 		}
 		return isRServerOk;
@@ -887,9 +889,7 @@
 				arguments_as_string[i] = "NULL"; //$NON-NLS-1$
 			} else {
 				if (!containsVariable(arguments[i].getSymbol())) {
-					throw new RWorkspaceException(TXMCoreMessages.REQUESTED_OBJECT
-							+ arguments[i].getSymbol()
-							+ TXMCoreMessages.NOT_FOUND_IN_R); 
+					throw new RWorkspaceException(NLS.bind(RCoreMessages.REQUESTED_OBJECT_NOT_FOUND_IN_R, arguments[i].getSymbol())); 
 				}
 				arguments_as_string[i] = arguments[i].getSymbol();
 			}
@@ -1124,7 +1124,7 @@
 	public int[][] evalToInt2D(String exp) throws RWorkspaceException {
 		int[][] res = null;
 		try {
-			int[] dims = eval(TXMCoreMessages.MatrixImpl_2+exp+")").asIntegers(); //$NON-NLS-2$
+			int[] dims = eval(StatsEngineCoreMessages.MatrixImpl_2+exp+")").asIntegers(); //$NON-NLS-2$
 			int ncol = dims[1];
 			int nrow = dims[0];
 			int[] tmp = eval("c("+exp+")").asIntegers(); //$NON-NLS-1$ //$NON-NLS-2$
@@ -1172,7 +1172,7 @@
 		try {
 			return list.asList().at(item_name);
 		} catch (REXPMismatchException e) {
-			throw new RWorkspaceException(TXMCoreMessages.ERROR_EXTRACT_ITEM
+			throw new RWorkspaceException(RCoreMessages.ERROR_EXTRACT_ITEM
 					+ e.getMessage()); 
 		}
 	}
Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/exceptions/RWorkspaceException.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/exceptions/RWorkspaceException.java	(revision 0)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/exceptions/RWorkspaceException.java	(revision 277)
@@ -0,0 +1,82 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate: 2013-05-06 17:38:43 +0200 (Mon, 06 May 2013) $
+// $LastChangedRevision: 2386 $
+// $LastChangedBy: mdecorde $ 
+//
+package org.txm.statsengine.r.core.exceptions;
+
+import org.txm.statsengine.core.StatException;
+
+// TODO: Auto-generated Javadoc
+/**
+ * Super-class of all exception related to the R engine.
+ * 
+ * @author sloiseau
+ */
+public class RWorkspaceException extends StatException {
+
+	/** The Constant serialVersionUID. */
+	private static final long serialVersionUID = 1630828823146927953L;
+
+	/**
+	 * Instantiates a new r workspace exception.
+	 */
+	public RWorkspaceException() {
+		super();
+		// TODO Auto-generated constructor stub
+	}
+
+	/**
+	 * Instantiates a new r workspace exception.
+	 *
+	 * @param arg0 the arg0
+	 * @param arg1 the arg1
+	 */
+	public RWorkspaceException(String arg0, Throwable arg1) {
+		super(arg0, arg1);
+		// TODO Auto-generated constructor stub
+	}
+
+	/**
+	 * Instantiates a new r workspace exception.
+	 *
+	 * @param arg0 the arg0
+	 */
+	public RWorkspaceException(String arg0) {
+		super(arg0);
+		// TODO Auto-generated constructor stub
+	}
+
+	/**
+	 * Instantiates a new r workspace exception.
+	 *
+	 * @param arg0 the arg0
+	 */
+	public RWorkspaceException(Throwable arg0) {
+		super(arg0);
+		// TODO Auto-generated constructor stub
+	}
+
+}

Property changes on: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/exceptions/RWorkspaceException.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/exceptions/RException.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/exceptions/RException.java	(revision 0)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/exceptions/RException.java	(revision 277)
@@ -0,0 +1,89 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate: 2013-05-06 17:38:43 +0200 (Mon, 06 May 2013) $
+// $LastChangedRevision: 2386 $
+// $LastChangedBy: mdecorde $ 
+//
+package org.txm.statsengine.r.core.exceptions;
+
+import org.txm.statsengine.r.core.messages.RCoreMessages;
+
+// TODO: Auto-generated Javadoc
+/**
+ * An exception indicating an error during the evaluation of an expression by
+ * the R engine.
+ * 
+ * @author sloiseau
+ */
+public class RException extends RWorkspaceException {
+
+	/** The Constant serialVersionUID. */
+	private static final long serialVersionUID = -3459835604570896478L;
+
+	/**
+	 * Instantiates a new r exception.
+	 */
+	public RException() {
+		super();
+	}
+
+	/**
+	 * Instantiates a new r exception.
+	 *
+	 * @param msg the msg
+	 */
+	public RException(String msg) {
+		super(msg);
+	}
+
+	/**
+	 * Instantiates a new r exception.
+	 *
+	 * @param expr the expr
+	 * @param msg the msg
+	 */
+	public RException(String expr, String msg) {
+		super(RCoreMessages.RException_0 + msg + RCoreMessages.RException_1 + RCoreMessages.RException_2 + expr); 
+	}
+
+	/**
+	 * Instantiates a new r exception.
+	 *
+	 * @param arg0 the arg0
+	 * @param arg1 the arg1
+	 */
+	public RException(String arg0, Throwable arg1) {
+		super(arg0, arg1);
+	}
+
+	/**
+	 * Instantiates a new r exception.
+	 *
+	 * @param arg0 the arg0
+	 */
+	public RException(Throwable arg0) {
+		super(arg0);
+	}
+
+}

Property changes on: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/exceptions/RException.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/exceptions/RObjectDoesNotExist.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/exceptions/RObjectDoesNotExist.java	(revision 0)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/exceptions/RObjectDoesNotExist.java	(revision 277)
@@ -0,0 +1,78 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate: 2013-05-06 17:38:43 +0200 (Mon, 06 May 2013) $
+// $LastChangedRevision: 2386 $
+// $LastChangedBy: mdecorde $ 
+//
+package org.txm.statsengine.r.core.exceptions;
+
+
+// TODO: Auto-generated Javadoc
+/**
+ * Exception thrown if a symbol without corresponding object in the R workspace
+ * is used.
+ * 
+ * @author sloiseau
+ */
+public class RObjectDoesNotExist extends RWorkspaceException {
+
+	/** The Constant serialVersionUID. */
+	private static final long serialVersionUID = -1344530765750521820L;
+
+	/**
+	 * Instantiates a new r object does not exist.
+	 */
+	public RObjectDoesNotExist() {
+		super();
+	}
+
+	/**
+	 * Instantiates a new r object does not exist.
+	 *
+	 * @param arg0 the arg0
+	 * @param arg1 the arg1
+	 */
+	public RObjectDoesNotExist(String arg0, Throwable arg1) {
+		super(arg0, arg1);
+	}
+
+	/**
+	 * Instantiates a new r object does not exist.
+	 *
+	 * @param arg0 the arg0
+	 */
+	public RObjectDoesNotExist(String arg0) {
+		super(arg0);
+	}
+
+	/**
+	 * Instantiates a new r object does not exist.
+	 *
+	 * @param arg0 the arg0
+	 */
+	public RObjectDoesNotExist(Throwable arg0) {
+		super(arg0);
+	}
+
+}

Property changes on: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/exceptions/RObjectDoesNotExist.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/exceptions/RServeException.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/exceptions/RServeException.java	(revision 0)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/exceptions/RServeException.java	(revision 277)
@@ -0,0 +1,79 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate: 2013-05-06 17:38:43 +0200 (Mon, 06 May 2013) $
+// $LastChangedRevision: 2386 $
+// $LastChangedBy: mdecorde $ 
+//
+package org.txm.statsengine.r.core.exceptions;
+
+
+// TODO: Auto-generated Javadoc
+/**
+ * The Class RServeException.
+ */
+public class RServeException extends RException {
+
+	/** The Constant serialVersionUID. */
+	private static final long serialVersionUID = 1L;
+
+	/**
+	 * Instantiates a new r serve exception.
+	 */
+	public RServeException() {
+		super();
+		// TODO Auto-generated constructor stub
+	}
+
+	/**
+	 * Instantiates a new r serve exception.
+	 *
+	 * @param arg0 the arg0
+	 * @param arg1 the arg1
+	 */
+	public RServeException(String arg0, Throwable arg1) {
+		super(arg0, arg1);
+		// TODO Auto-generated constructor stub
+	}
+
+	/**
+	 * Instantiates a new r serve exception.
+	 *
+	 * @param arg0 the arg0
+	 */
+	public RServeException(String arg0) {
+		super(arg0);
+		// TODO Auto-generated constructor stub
+	}
+
+	/**
+	 * Instantiates a new r serve exception.
+	 *
+	 * @param arg0 the arg0
+	 */
+	public RServeException(Throwable arg0) {
+		super(arg0);
+		// TODO Auto-generated constructor stub
+	}
+
+}

Property changes on: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/exceptions/RServeException.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/exceptions/RObjectAlreadyExist.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/exceptions/RObjectAlreadyExist.java	(revision 0)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/exceptions/RObjectAlreadyExist.java	(revision 277)
@@ -0,0 +1,78 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate: 2013-05-06 17:38:43 +0200 (Mon, 06 May 2013) $
+// $LastChangedRevision: 2386 $
+// $LastChangedBy: mdecorde $ 
+//
+package org.txm.statsengine.r.core.exceptions;
+
+
+// TODO: Auto-generated Javadoc
+/**
+ * When one try to create an object with a symbol already existing in the
+ * workspace.
+ * 
+ * @author sloiseau
+ */
+public class RObjectAlreadyExist extends RWorkspaceException {
+
+	/** The Constant serialVersionUID. */
+	private static final long serialVersionUID = 3386015668080138287L;
+
+	/**
+	 * Instantiates a new r object already exist.
+	 */
+	public RObjectAlreadyExist() {
+		super();
+	}
+
+	/**
+	 * Instantiates a new r object already exist.
+	 *
+	 * @param arg0 the arg0
+	 * @param arg1 the arg1
+	 */
+	public RObjectAlreadyExist(String arg0, Throwable arg1) {
+		super(arg0, arg1);
+	}
+
+	/**
+	 * Instantiates a new r object already exist.
+	 *
+	 * @param arg0 the arg0
+	 */
+	public RObjectAlreadyExist(String arg0) {
+		super(arg0);
+	}
+
+	/**
+	 * Instantiates a new r object already exist.
+	 *
+	 * @param arg0 the arg0
+	 */
+	public RObjectAlreadyExist(Throwable arg0) {
+		super(arg0);
+	}
+
+}

Property changes on: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/exceptions/RObjectAlreadyExist.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/preferences/RPreferences.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/preferences/RPreferences.java	(revision 276)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/preferences/RPreferences.java	(revision 277)
@@ -4,7 +4,7 @@
 import org.eclipse.core.runtime.preferences.DefaultScope;
 import org.osgi.framework.FrameworkUtil;
 import org.osgi.service.prefs.Preferences;
-import org.txm.utils.preferences.TXMPreferences;
+import org.txm.core.preferences.TXMPreferences;
 
 /**
  * Default preferences initializer.
Index: tmp/org.txm.statsengine.r.core/build.properties
===================================================================
--- tmp/org.txm.statsengine.r.core/build.properties	(revision 276)
+++ tmp/org.txm.statsengine.r.core/build.properties	(revision 277)
@@ -1,8 +1,3 @@
-source.. = src/
 output.. = bin/
 bin.includes = META-INF/,\
-               .,\
-               lib/colt-1.2.0.jar,\
-               plugin.xml,\
-               lib/RserveEngine.jar,\
-               lib/REngine.jar
+               plugin.xml
